function [g, h, gg, gh] = congrad3(x)
% g  inequality constraints; h returns equality constraints
% gg  gradients of inequalities; 
% gh gradients of equalities; 

x1 = x(1); x2 = x(2);

g(1) = 100-(x1-5)^2-(x2-5)^2;
g(2) = -82.81 + (x1-6)^2 + (x2-5)^2;

h = [ ];

if nargout > 2
gg(1,1) = -2*(x1-5);
gg(2,1) = -2*(x2-5);
gg(1,2) = 2*(x1-6);
gg(2,2) = 2*(x2-5);
gh = [];
end